import { Typography, Card, CardBody, CardFooter, Button } from "@material-tailwind/react";
import ReactWebsocket from "@/api/websocket"
import React, { useCallback } from 'react';
export default function WolItem(props) {
  const { id, mac, name, updata } = props;
  const socket = new ReactWebsocket()
  function isMACAddress(strMac) {
    var reg = /^([0-9a-fA-F]{2})(([/\s:][0-9a-fA-F]{2}){5})$/;
    if (reg.test(strMac)) {
      return true;
    } else {
      return false;
    }
  }
  const handleClickSendMessage = useCallback(() => {
    if (!isMACAddress(mac)) {
      console.log("mac输入错误");
      return;
    }
    socket.sendMessage('start', {mac}, function () { })
  }, []);
  const deleteItem = useCallback(() => {
    socket.sendMessage('del', {id}, function () { updata() })
  }, []);
  const EdiItem = useCallback(() => {
    socket.sendMessage('del', {id}, function () { updata() })
  }, []);
  return (
    <div className="p-6">
      <Card className="mt-6 w-96 border border-blue-gray-50 py-4 px-5 shadow-xl shadow-transparent transition-all hover:-translate-y-4 hover:border-blue-gray-100/60 hover:shadow-blue-gray-900/5">
        <CardBody>
          <Typography variant="h5" color="blue-gray" className="mb-2">
            {name}
          </Typography>
          <Typography>
            MAC:{mac}
          </Typography>
        </CardBody>
        <CardFooter className="pt-0 ">
          <Button className="w-50" onClick={handleClickSendMessage}>发送wol数据</Button>
          <Button className="w-20 mx-1 " color="amber">编辑</Button>
          <Button className="w-20" onClick={deleteItem} color="amber">删除</Button>
        </CardFooter>
      </Card>
    </div>
  );
}
